import ipywidgets as widgets
from traitlets import Int, Unicode

@widgets.register
class RemoteRender(widgets.DOMWidget):
    """An example widget."""
    _view_name = Unicode('RemoteRenderView').tag(sync=True)
    _model_name = Unicode('RemoteRenderModel').tag(sync=True)
    _view_module = Unicode('vtk-remoterender').tag(sync=True)
    _model_module = Unicode('vtk-remoterender').tag(sync=True)
    _view_module_version = Unicode('^0.1.0').tag(sync=True)
    _model_module_version = Unicode('^0.1.0').tag(sync=True)

    sessionURL = Unicode('ws://localhost:8080/ws').tag(sync=True)
    authKey = Unicode('wslink-secret').tag(sync=True)
    _update = Int(0).tag(sync=True)
    viewID = Unicode("-1").tag(sync=True)

    def update_render(self):
        self._update += 1
